//
//  AliLiving.h
//  AliLiving
//
//  Created by 初程程 on 2019/4/9.
//  Copyright © 2019年 初程程. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <React/RCTEventEmitter.h>
#import <IMSThingCapability/IMSThingManager.h>
#import <CoreBluetooth/CoreBluetooth.h>

@interface AliLiving : RCTEventEmitter<RCTBridgeModule, CBCentralManagerDelegate>

+ (void)InitializeSmartliving:(UIApplication *)application launchOptions:(NSDictionary *)launchOptions;

@property (nonatomic, strong) NSMutableDictionary *panelDevices;
@property (nonatomic, strong) NSMutableDictionary *deviceObservers;
@property (nonatomic, strong) CBCentralManager *manager;

- (void)startLogin;
@end

@interface DeviceObserver : NSObject <IMSThingObserver> {
@private NSString *mIotId;
@private __weak AliLiving *mRnModule;
}
-(DeviceObserver*)MyInit:(NSString*)name rnModule:(AliLiving *)rnModule;
@end
