//
//  RNSendToJsReact.h
//  LoginDemo
//
//  Created by 初程程 on 2018/6/15.
//  Copyright © 2018年 Facebook. All rights reserved.
//

#import <React/RCTEventEmitter.h>
#define kOnPreCheck           @"onPreCheck"
#define kOnProvisionPrepare   @"onProvisionPrepare"
#define kOnProvisioning       @"onProvisioning"
#define kOnProvisionStatus    @"onProvisionStatus"
#define kOnProvisionedResult  @"onProvisionedResult"
#define kError                @"error"
#define kScanLocationDevice   @"scanLocationDevice"
#define kListenerSuccess      @"listenerSuccess"
#define kListenerError        @"listenerError"
#define kSubscribeState       @"subscribeState"
#define kSubscribeDownstream  @"subscribeDownstream"
#define kNotifySuccess        @"kNotifySuccess"
#define kNotifyError          @"kNotifyError"
#define kBLEScan              @"kBLEScan"
#define kSokectBack           @"sokectBack"
#define kAppExpConnectStateChange @"AppExpConnectStateChange"

#define kBluetoothEnabled                      @"bluetoothEnabled"
#define kBluetoothDisabled                     @"bluetoothDisabled"
#define kSystemLocationEnabled                 @"systemLocationEnabled"
#define kSystemLocationDisabled                @"systemLocationDisabled"
#define kServiceConnected                      @"serviceConnected"
#define kServiceDisconnected                   @"serviceDisconnected"
#define kNotificationOnlineStatus              @"notificationOnlineStatus"
#define kNotificationGetDeviceState            @"notificationGetDeviceState"
#define kNotificationVendorResponse            @"notificationVendorResponse"
#define kNotificationDataGetOnOff              @"notificationDataGetOnOff"
#define kNotificationDataGetLevel              @"notificationDataGetLevel"
#define kNotificationDataGetLightness          @"notificationDataGetLightness"
#define kNotificationDataGetCtl                @"notificationDataGetCtl"
#define kNotificationDataGetTemp               @"notificationDataGetTemp"
#define kNotificationDataGetVersion            @"notificationDataGetVersion"
#define kNotificationDataGetMeshOtaProgress    @"notificationDataGetMeshOtaProgress"
#define kNotificationDataGetMeshOtaApplyStatus @"notificationDataGetMeshOtaApplyStatus"
#define kNotificationDataGetMeshOtaFirmwareDistributionStatus @"notificationDataGetMeshOtaFirmwareDistributionStatus"
#define kNotificationDataGetOtaState           @"notificationDataGetOtaState"
#define kNotificationDataSetOtaModeRes         @"notificationDataSetOtaModeRes"
#define kDeviceStatusConnecting                @"deviceStatusConnecting"
#define kDeviceStatusConnected                 @"deviceStatusConnected"
#define kDeviceStatusLogining                  @"deviceStatusLogining"
#define kDeviceStatusLogin                     @"deviceStatusLogin"
#define kDeviceStatusLogout                    @"deviceStatusLogout"
#define kDeviceStatusErrorAndroidN             @"deviceStatusErrorAndroidN"
#define kDeviceStatusUpdateMeshCompleted       @"deviceStatusUpdateMeshCompleted"
#define kDeviceStatusUpdatingMesh              @"deviceStatusUpdatingMesh"
#define kDeviceStatusUpdateMeshFailure         @"deviceStatusUpdateMeshFailure"
#define kDeviceStatusUpdateAllMeshCompleted    @"deviceStatusUpdateAllMeshCompleted"
#define kDeviceStatusGetLtkCompleted           @"deviceStatusGetLtkCompleted"
#define kDeviceStatusGetLtkFailure             @"deviceStatusGetLtkFailure"
#define kDeviceStatusMeshOffline               @"deviceStatusMeshOffline"
#define kDeviceStatusMeshScanCompleted         @"deviceStatusMeshScanCompleted"
#define kDeviceStatusMeshScanTimeout           @"deviceStatusMeshScanTimeout"
#define kDeviceStatusOtaMasterProgress         @"deviceStatusOtaMasterProgress"
#define kDeviceStatusOtaMasterComplete         @"deviceStatusOtaMasterComplete"
#define kDeviceStatusOtaMasterFail             @"deviceStatusOtaMasterFail"
#define kDeviceStatusGetFirmwareCompleted      @"deviceStatusGetFirmwareCompleted"
#define kDeviceStatusGetFirmwareFailure        @"deviceStatusGetFirmwareFailure"
#define kDeviceStatusDeleteCompleted           @"deviceStatusDeleteCompleted"
#define kDeviceStatusDeleteFailure             @"deviceStatusDeleteFailure"
#define kLeScan                                @"leScan"
#define kLeScanCompleted                       @"leScanCompleted"
#define kLeScanTimeout                         @"leScanTimeout"
#define kMeshOffline                           @"meshOffline"
#define kSaveOrUpdateJS                        @"saveOrUpdateJS"
@interface RNSendToJsReact : RCTEventEmitter<RCTBridgeModule>
+ (void)emitEventWithName:(NSString *)name andPayload:(NSDictionary *)payload;
@end
